<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" DefaultTargets="Build">
  <PropertyGroup>
    <ProjectGuid>{790B5830-494A-42A9-8868-D7609233C7FE}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <OutputType>WinExe</OutputType>
    <RootNamespace>MainProject</RootNamespace>
    <AssemblyName>DataSearch</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <NoWin32Manifest>False</NoWin32Manifest>
    <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
    <NoStdLib>False</NoStdLib>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <IntermediateOutputPath>obj\$(Configuration)\</IntermediateOutputPath>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Platform)' == 'AnyCPU' ">
    <PlatformTarget>x86</PlatformTarget>
    <BaseAddress>4194304</BaseAddress>
    <RegisterForComInterop>False</RegisterForComInterop>
    <GenerateSerializationAssemblies>Auto</GenerateSerializationAssemblies>
    <FileAlignment>4096</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
    <OutputPath>bin\Debug\</OutputPath>
    <DebugSymbols>True</DebugSymbols>
    <DebugType>Full</DebugType>
    <Optimize>False</Optimize>
    <CheckForOverflowUnderflow>True</CheckForOverflowUnderflow>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <BaseIntermediateOutputPath>obj\</BaseIntermediateOutputPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
    <OutputPath>bin\Release\</OutputPath>
    <DebugSymbols>False</DebugSymbols>
    <DebugType>None</DebugType>
    <Optimize>True</Optimize>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <DefineConstants>TRACE</DefineConstants>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="BarcodeImaging">
      <HintPath>..\Varie\BarcodeImaging3\BarcodeImaging.dll</HintPath>
    </Reference>
    <Reference Include="BarcodeScanner">
      <HintPath>..\Varie\BarcodeImaging3\BarcodeScanner.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.SharpZipLib">
      <HintPath>..\Varie\SharpZipLib\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="itextsharp">
      <HintPath>..\Varie\iTextSharp 5.5.2\itextsharp.dll</HintPath>
    </Reference>
    <Reference Include="itextsharp.pdfa">
      <HintPath>..\Varie\iTextSharp 5.5.2\itextsharp.pdfa.dll</HintPath>
    </Reference>
    <Reference Include="itextsharp.xtra">
      <HintPath>..\Varie\iTextSharp 5.5.2\itextsharp.xtra.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.SQLite">
      <HintPath>..\Varie\SQLite 1.0.103\System.Data.SQLite.dll</HintPath>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="zxing">
      <HintPath>..\Varie\ZXing\zxing.dll</HintPath>
    </Reference>
    <Reference Include="zxing.presentation">
      <HintPath>..\Varie\ZXing\zxing.presentation.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Libs\CustomExtension.cs" />
    <Compile Include="Libs\ImageFilter.cs" />
    <Compile Include="Libs\IO.cs" />
    <Compile Include="Libs\Language.cs" />
    <Compile Include="Libs\Logger.cs" />
    <Compile Include="Libs\Process.cs" />
    <Compile Include="Libs\TextExtractor.cs" />
    <Compile Include="Libs\SQLiteBase.cs" />
    <Compile Include="Libs\SQLiteRegexp.cs" />
    <Compile Include="MainForm.cs" />
    <Compile Include="MainForm.Designer.cs">
      <DependentUpon>MainForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="MainForm.resx">
      <DependentUpon>MainForm.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <EmbeddedResource Include="Risorse\lang.xml">
      <LogicalName>lang_xml</LogicalName>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Libs" />
    <Folder Include="Risorse" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>